Auth
POST /auth/external/authorize
Create a one-time exchange code for an external identity (server-to-server)
POST
/
auth
/
external
/
authorize
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/external/authorize \
--header 'Content-Type: application/json' \
--data '
{
"issuer": "<string>",
"provider": "<string>",
"subject": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({issuer: '<string>', provider: '<string>', subject: '<string>'})
};
fetch('https://consumer.fanfare.io/api/auth/external/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/external/authorize"
payload = {
"issuer": "<string>",
"provider": "<string>",
"subject": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/external/authorize"
payload := strings.NewReader("{\n \"issuer\": \"<string>\",\n \"provider\": \"<string>\",\n \"subject\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"exchangeCode": "<string>",
"expiresAt": "<string>",
"resolution": "existing"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/external/authorize \
--header 'Content-Type: application/json' \
--data '
{
"issuer": "<string>",
"provider": "<string>",
"subject": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({issuer: '<string>', provider: '<string>', subject: '<string>'})
};
fetch('https://consumer.fanfare.io/api/auth/external/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/external/authorize"
payload = {
"issuer": "<string>",
"provider": "<string>",
"subject": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/external/authorize"
payload := strings.NewReader("{\n \"issuer\": \"<string>\",\n \"provider\": \"<string>\",\n \"subject\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"exchangeCode": "<string>",
"expiresAt": "<string>",
"resolution": "existing"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}